# FoundationClasses
TKernel
TColStd

# TColStd_DataMapIteratorOfDataMapOfIntegerInteger Class Reference

`#include <TColStd_DataMapIteratorOfDataMapOfIntegerInteger.hxx>`

Inheritance diagram for TColStd_DataMapIteratorOfDataMapOfIntegerInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_DataMapIteratorOfDataMapOfIntegerInteger ()
Standard_EXPORT | TColStd_DataMapIteratorOfDataMapOfIntegerInteger (const TColStd_DataMapOfIntegerInteger &aMap)
Standard_EXPORT void | Initialize (const TColStd_DataMapOfIntegerInteger &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_DataMapIteratorOfDataMapOfIntegerInteger::TColStd_DataMapIteratorOfDataMapOfIntegerInteger | ( |  | ) |

Standard_EXPORT TColStd_DataMapIteratorOfDataMapOfIntegerInteger::TColStd_DataMapIteratorOfDataMapOfIntegerInteger | ( | const TColStd_DataMapOfIntegerInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_DataMapIteratorOfDataMapOfIntegerInteger::Initialize | ( | const TColStd_DataMapOfIntegerInteger & | aMap | ) |

Standard_EXPORT const Standard_Integer& TColStd_DataMapIteratorOfDataMapOfIntegerInteger::Key | ( |  | ) | const

void TColStd_DataMapIteratorOfDataMapOfIntegerInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColStd_DataMapIteratorOfDataMapOfIntegerInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColStd_DataMapIteratorOfDataMapOfIntegerInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

Standard_EXPORT const Standard_Integer& TColStd_DataMapIteratorOfDataMapOfIntegerInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TColStd_DataMapIteratorOfDataMapOfIntegerInteger.hxx